# dev.inmo.tgbotapi.extensions.utils.extensions

docs

# Package dev.inmo.tgbotapi.extensions.utils.extensions

## Functions

download
Link copied to clipboard
suspend fun PathedFile . download (telegramAPIUrlsKeeper: TelegramAPIUrlsKeeper , client: HttpClient = HttpClient()): ByteArray
Content copied to clipboard
loadFile
Link copied to clipboard
suspend fun HttpClient. loadFile (telegramAPIUrlsKeeper: TelegramAPIUrlsKeeper , pathedFile: PathedFile ): ByteArray
Content copied to clipboard
suspend fun HttpClient. loadFile (telegramAPIUrlsKeeper: TelegramAPIUrlsKeeper , filePath: String ): ByteArray
Content copied to clipboard
parseCommandsWithParams
Link copied to clipboard
fun TextedWithTextSources . parseCommandsWithParams (argsSeparator: Regex = defaultArgsSeparator): Map < String , Array < String >>
Content copied to clipboard
fun ContentMessage < TextContent >. parseCommandsWithParams (argsSeparator: Regex = defaultArgsSeparator): Map < String , Array < String >>
Content copied to clipboard
fun List < TextSource >. parseCommandsWithParams (argsSeparator: Regex = defaultArgsSeparator): MutableMap < String , Array < String >>
Content copied to clipboard

Parse commands and their args. Logic will find command, get all subsequent data as args until new command

sourceChat
Link copied to clipboard
fun Update . sourceChat (): Chat ?
Content copied to clipboard
sourceUser
Link copied to clipboard
fun Update . sourceUser (): User ?
Content copied to clipboard

## Properties

defaultArgsSeparator
Link copied to clipboard
val defaultArgsSeparator : Regex
Content copied to clipboard